Bug 111031 - bad source code
bad source code
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pilot-link095-compat (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-26 10:37 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 12:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-26 10:37:05 EST
Description of problem:
I just tried to compile package pilot-link095-compat-0_9_5-24 from Fedora.

The compiler said

pi-file.c(1240): remark #592: variable "flags" is used before its
value is set

The source code is

                flags |= dlpDBFlagNewer;

Suggest initialise flags before first use.



Version-Release number of selected component (if applicable):
pilot-link095-compat-0_9_5-24 

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Thacker 2006-04-21 12:57:30 EDT
Fedora doesn't ship this anymore, and this is only a warning, not an error.

Note You need to log in before you can comment on or make changes to this bug.